<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionDataCollectionModule Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d65/a02991.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionDataCollectionModule Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>TODO: Get rid of RPCs and use <a class="el" href="../../dd/daf/a02191.html">SyncPlayerList</a> on client.  
 <a href="../../dd/d65/a02991.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionDataCollectionModule:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dd/d65/a02991.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a889750ec9c20769a6c5f08222bccb892"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/a02991.html#a889750ec9c20769a6c5f08222bccb892">ExpansionDataCollectionModule</a> ()</td></tr>
<tr class="separator:a889750ec9c20769a6c5f08222bccb892"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affc2ef46a7f960040bd1ffd655c8d9c5"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/a02991.html#affc2ef46a7f960040bd1ffd655c8d9c5">OnInit</a> ()</td></tr>
<tr class="separator:affc2ef46a7f960040bd1ffd655c8d9c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa00d43f4a2ae553dd05a38370dc77444"><td class="memItemLeft" align="right" valign="top">override int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/a02991.html#aa00d43f4a2ae553dd05a38370dc77444">GetRPCMin</a> ()</td></tr>
<tr class="separator:aa00d43f4a2ae553dd05a38370dc77444"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a999d721c347ae6a5cd59988858d84e1c"><td class="memItemLeft" align="right" valign="top">override int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/a02991.html#a999d721c347ae6a5cd59988858d84e1c">GetRPCMax</a> ()</td></tr>
<tr class="separator:a999d721c347ae6a5cd59988858d84e1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ddebbd8178e87fb479ba525f709d6f0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/a02991.html#a2ddebbd8178e87fb479ba525f709d6f0">OnRPC</a> (Class sender, CF_EventArgs args)</td></tr>
<tr class="separator:a2ddebbd8178e87fb479ba525f709d6f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf5821920af553436ae4fa26562156d6"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/a02991.html#aaf5821920af553436ae4fa26562156d6">OnInvokeConnect</a> (Class sender, CF_EventArgs args)</td></tr>
<tr class="separator:aaf5821920af553436ae4fa26562156d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adee9b1feba197f244e44c7d4555fc830"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/a02991.html#adee9b1feba197f244e44c7d4555fc830">OnPlayerConnect</a> (<a class="el" href="../../d3/d19/a01847.html">PlayerBase</a> player)</td></tr>
<tr class="separator:adee9b1feba197f244e44c7d4555fc830"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f268db855cc2e3352a482e2bd383f3f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/a02991.html#a3f268db855cc2e3352a482e2bd383f3f">OnClientDisconnect</a> (Class sender, CF_EventArgs args)</td></tr>
<tr class="separator:a3f268db855cc2e3352a482e2bd383f3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c3f91604a1985ada929c8a77a1b678e"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/a02991.html#a0c3f91604a1985ada929c8a77a1b678e">OnPlayerDisconnect</a> (string playerUID)</td></tr>
<tr class="separator:a0c3f91604a1985ada929c8a77a1b678e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a270bc553360cecb64541535810e9b174"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/a02991.html#a270bc553360cecb64541535810e9b174">RequestPlayerData</a> ()</td></tr>
<tr class="memdesc:a270bc553360cecb64541535810e9b174"><td class="mdescLeft">&#160;</td><td class="mdescRight">Client.  <a href="../../dd/d65/a02991.html#a270bc553360cecb64541535810e9b174">More...</a><br /></td></tr>
<tr class="separator:a270bc553360cecb64541535810e9b174"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad448fe80888479e9fdf478055f575ac2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/a02991.html#ad448fe80888479e9fdf478055f575ac2">RPC_RequestPlayerData</a> (ParamsReadContext ctx, PlayerIdentity sender)</td></tr>
<tr class="memdesc:ad448fe80888479e9fdf478055f575ac2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Server.  <a href="../../dd/d65/a02991.html#ad448fe80888479e9fdf478055f575ac2">More...</a><br /></td></tr>
<tr class="separator:ad448fe80888479e9fdf478055f575ac2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a080a1366d949f9e0ac5fd71206cb7f41"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/a02991.html#a080a1366d949f9e0ac5fd71206cb7f41">RPC_SendPlayerData</a> (ParamsReadContext ctx)</td></tr>
<tr class="memdesc:a080a1366d949f9e0ac5fd71206cb7f41"><td class="mdescLeft">&#160;</td><td class="mdescRight">Client.  <a href="../../dd/d65/a02991.html#a080a1366d949f9e0ac5fd71206cb7f41">More...</a><br /></td></tr>
<tr class="separator:a080a1366d949f9e0ac5fd71206cb7f41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17db3c8ecb7eecd8d4d9f4154c4baeeb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/a02991.html#a17db3c8ecb7eecd8d4d9f4154c4baeeb">OnReceivePlayerData</a> (ParamsReadContext ctx)</td></tr>
<tr class="separator:a17db3c8ecb7eecd8d4d9f4154c4baeeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95c84975b5eaf0e2a0475893f0b9dfc7"><td class="memItemLeft" align="right" valign="top">map&lt; string, ref <a class="el" href="../../dc/d94/a02999.html">ExpansionPlayerDataCollection</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/a02991.html#a95c84975b5eaf0e2a0475893f0b9dfc7">GetAllPlayers</a> ()</td></tr>
<tr class="separator:a95c84975b5eaf0e2a0475893f0b9dfc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a2424632007c5213fe92f58875977d48c"><td class="memItemLeft" align="right" valign="top">private autoptr map&lt; string, ref <a class="el" href="../../dc/d94/a02999.html">ExpansionPlayerDataCollection</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/a02991.html#a2424632007c5213fe92f58875977d48c">m_PlayerData</a></td></tr>
<tr class="separator:a2424632007c5213fe92f58875977d48c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a58500aa61a81aa7b722b0cfd9fba440b"><td class="memItemLeft" align="right" valign="top">static ref ScriptInvoker&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/a02991.html#a58500aa61a81aa7b722b0cfd9fba440b">m_ModuleSI</a> = new ScriptInvoker()</td></tr>
<tr class="separator:a58500aa61a81aa7b722b0cfd9fba440b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >TODO: Get rid of RPCs and use <a class="el" href="../../dd/daf/a02191.html">SyncPlayerList</a> on client. </p>
<p >This class handles the data collection system.</p>
<p ><a class="el" href="../../dd/d39/a01271.html">ExpansionDataCollectionModule.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d39/a01271_source.html#l00018">18</a> of file <a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a889750ec9c20769a6c5f08222bccb892" name="a889750ec9c20769a6c5f08222bccb892"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a889750ec9c20769a6c5f08222bccb892">&#9670;&#160;</a></span>ExpansionDataCollectionModule()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionDataCollectionModule::ExpansionDataCollectionModule </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d39/a01271_source.html#l00023">23</a> of file <a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a95c84975b5eaf0e2a0475893f0b9dfc7" name="a95c84975b5eaf0e2a0475893f0b9dfc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95c84975b5eaf0e2a0475893f0b9dfc7">&#9670;&#160;</a></span>GetAllPlayers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">map&lt; string, ref <a class="el" href="../../dc/d94/a02999.html">ExpansionPlayerDataCollection</a> &gt; ExpansionDataCollectionModule::GetAllPlayers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d39/a01271_source.html#l00211">211</a> of file <a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a>.</p>

</div>
</div>
<a id="a999d721c347ae6a5cd59988858d84e1c" name="a999d721c347ae6a5cd59988858d84e1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a999d721c347ae6a5cd59988858d84e1c">&#9670;&#160;</a></span>GetRPCMax()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override int ExpansionDataCollectionModule::GetRPCMax </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d39/a01271_source.html#l00044">44</a> of file <a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a>.</p>

</div>
</div>
<a id="aa00d43f4a2ae553dd05a38370dc77444" name="aa00d43f4a2ae553dd05a38370dc77444"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa00d43f4a2ae553dd05a38370dc77444">&#9670;&#160;</a></span>GetRPCMin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override int ExpansionDataCollectionModule::GetRPCMin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d39/a01271_source.html#l00039">39</a> of file <a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a>.</p>

</div>
</div>
<a id="a3f268db855cc2e3352a482e2bd383f3f" name="a3f268db855cc2e3352a482e2bd383f3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f268db855cc2e3352a482e2bd383f3f">&#9670;&#160;</a></span>OnClientDisconnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionDataCollectionModule::OnClientDisconnect </td>
          <td>(</td>
          <td class="paramtype">Class&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CF_EventArgs&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d39/a01271_source.html#l00100">100</a> of file <a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a>.</p>

</div>
</div>
<a id="affc2ef46a7f960040bd1ffd655c8d9c5" name="affc2ef46a7f960040bd1ffd655c8d9c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affc2ef46a7f960040bd1ffd655c8d9c5">&#9670;&#160;</a></span>OnInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionDataCollectionModule::OnInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d39/a01271_source.html#l00028">28</a> of file <a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a>.</p>

</div>
</div>
<a id="aaf5821920af553436ae4fa26562156d6" name="aaf5821920af553436ae4fa26562156d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf5821920af553436ae4fa26562156d6">&#9670;&#160;</a></span>OnInvokeConnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionDataCollectionModule::OnInvokeConnect </td>
          <td>(</td>
          <td class="paramtype">Class&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CF_EventArgs&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d39/a01271_source.html#l00068">68</a> of file <a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a>.</p>

</div>
</div>
<a id="adee9b1feba197f244e44c7d4555fc830" name="adee9b1feba197f244e44c7d4555fc830"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adee9b1feba197f244e44c7d4555fc830">&#9670;&#160;</a></span>OnPlayerConnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ExpansionDataCollectionModule::OnPlayerConnect </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d19/a01847.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d39/a01271_source.html#l00082">82</a> of file <a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a>.</p>

</div>
</div>
<a id="a0c3f91604a1985ada929c8a77a1b678e" name="a0c3f91604a1985ada929c8a77a1b678e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c3f91604a1985ada929c8a77a1b678e">&#9670;&#160;</a></span>OnPlayerDisconnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ExpansionDataCollectionModule::OnPlayerDisconnect </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>playerUID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d39/a01271_source.html#l00115">115</a> of file <a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a>.</p>

</div>
</div>
<a id="a17db3c8ecb7eecd8d4d9f4154c4baeeb" name="a17db3c8ecb7eecd8d4d9f4154c4baeeb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17db3c8ecb7eecd8d4d9f4154c4baeeb">&#9670;&#160;</a></span>OnReceivePlayerData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionDataCollectionModule::OnReceivePlayerData </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d39/a01271_source.html#l00189">189</a> of file <a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a>.</p>

</div>
</div>
<a id="a2ddebbd8178e87fb479ba525f709d6f0" name="a2ddebbd8178e87fb479ba525f709d6f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ddebbd8178e87fb479ba525f709d6f0">&#9670;&#160;</a></span>OnRPC()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionDataCollectionModule::OnRPC </td>
          <td>(</td>
          <td class="paramtype">Class&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CF_EventArgs&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d39/a01271_source.html#l00049">49</a> of file <a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a>.</p>

</div>
</div>
<a id="a270bc553360cecb64541535810e9b174" name="a270bc553360cecb64541535810e9b174"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a270bc553360cecb64541535810e9b174">&#9670;&#160;</a></span>RequestPlayerData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionDataCollectionModule::RequestPlayerData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Client. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d39/a01271_source.html#l00129">129</a> of file <a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a>.</p>

</div>
</div>
<a id="ad448fe80888479e9fdf478055f575ac2" name="ad448fe80888479e9fdf478055f575ac2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad448fe80888479e9fdf478055f575ac2">&#9670;&#160;</a></span>RPC_RequestPlayerData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionDataCollectionModule::RPC_RequestPlayerData </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>sender</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Server. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d39/a01271_source.html#l00141">141</a> of file <a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a>.</p>

</div>
</div>
<a id="a080a1366d949f9e0ac5fd71206cb7f41" name="a080a1366d949f9e0ac5fd71206cb7f41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a080a1366d949f9e0ac5fd71206cb7f41">&#9670;&#160;</a></span>RPC_SendPlayerData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionDataCollectionModule::RPC_SendPlayerData </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Client. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d39/a01271_source.html#l00164">164</a> of file <a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a58500aa61a81aa7b722b0cfd9fba440b" name="a58500aa61a81aa7b722b0cfd9fba440b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58500aa61a81aa7b722b0cfd9fba440b">&#9670;&#160;</a></span>m_ModuleSI</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ScriptInvoker ExpansionDataCollectionModule::m_ModuleSI = new ScriptInvoker()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d39/a01271_source.html#l00021">21</a> of file <a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a>.</p>

</div>
</div>
<a id="a2424632007c5213fe92f58875977d48c" name="a2424632007c5213fe92f58875977d48c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2424632007c5213fe92f58875977d48c">&#9670;&#160;</a></span>m_PlayerData</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private autoptr map&lt;string, ref <a class="el" href="../../dc/d94/a02999.html">ExpansionPlayerDataCollection</a>&gt; ExpansionDataCollectionModule::m_PlayerData</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d39/a01271_source.html#l00020">20</a> of file <a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/5_mission/dayzexpansion_core/classes/modules/datacollection/<a class="el" href="../../dd/d39/a01271_source.html">expansiondatacollectionmodule.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/d65/a02991.html">ExpansionDataCollectionModule</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
